package cn.reghao.tnb.content.app.chat.model.dto;

import cn.reghao.tnb.user.api.dto.ContactDetail;
import lombok.Getter;
import lombok.NoArgsConstructor;

/**
 * @author reghao
 * @date 2022-04-30 10:38:24
 */
@NoArgsConstructor
@Getter
public class ChatUserInfo {
    private String receiverId;
    private String name;
    private String avatar;
    private boolean isOnline;
    private String remarkName;

    public ChatUserInfo(ContactDetail contactDetail) {
        this.receiverId = contactDetail.getUserId();
        this.name = contactDetail.getScreenName();
        this.avatar = contactDetail.getAvatarUrl();
        this.isOnline = true;
        this.remarkName = "";
    }
}
